import { useRef, useEffect } from 'react';

/**
 * Хук для сохранения предыдущего значения
 */
var usePreviousValue = function usePreviousValue(value) {
  var ref = useRef();
  useEffect(function () {
    ref.current = value;
  });
  return ref.current;
};

export { usePreviousValue };
